Class | Chef::CookbookLoader
In: | lib/chef/cookbook_loader.rb
Parent: | Object

### Methods

[] cookbook_exists? cookbook_names cookbooks each fetch has_key? key? load_cookbooks merged_cookbook_paths new values

### Included Modules

Enumerable

### Attributes

cookbook_paths | [R] |
cookbooks_by_name | [R] |
merged_cookbooks | [R] |
metadata | [RW] |

### Public Class methods

new(*repo_paths)

### Public Instance methods

[](cookbook)
cookbook_exists?(cookbook_name)

Alias for has_key?

cookbook_names()
cookbooks()

Alias for values

each() {|cname, @cookbooks_by_name[cname]| ...}
fetch(cookbook)

Alias for #[]

has_key?(cookbook_name)
key?(cookbook_name)

Alias for has_key?

load_cookbooks()
merged_cookbook_paths(
values()

[Validate]